%global pkg_name        Test-Signature
%global pkg_version     1.10
%global rpm_pkg_version 1.10
%global rpm_pkg_release 1.n0i.5

Summary:       Convenience automated testing of SIGNATUREs
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Test/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)    >= 0.47
BuildRequires: perl(Test::Builder) >= 0.17

Requires:      perl(Test::Builder) >= 0.17
%global perl_filter_req 'perl\\(Test::Builder\\)$'


%description
Module::Signature allows you to verify that a distribution has not been
tampered with. Test::Signature lets that be tested as part of the
distribution's test suite.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_files}


%changelog
* Tue Oct 16 2007 Marius Feraru <altblue@n0i.net> - 1.10-1.n0i.5
- version 1.10
- skip doc files no longer provided
- added versioned requires for Test::Builder

* Sun Sep 23 2007 Marius Feraru <altblue@n0i.net> - 1.06-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- rebuild on perl 5.8.8

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 1.06-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:1.06-0.n0i.2
- version 1.06

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:1.05-0.n0i.1
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
